modification pour utiliser le fichier requerements.txt
authorPatrick Hetu <patrick.hetu@auf.org>
Wed, 21 May 2014 19:00:11 +0000 (15:00 -0400)
committerPatrick Hetu <patrick.hetu@auf.org>
Wed, 21 May 2014 19:00:11 +0000 (15:00 -0400)
project/settings.py
requirements.txt

index eb985d6..515786e 100644 (file)
@@ -2,7 +2,12 @@
 
 import os
 import socket
-from project.conf import *  # NOQA
+
+try:
+    from project.conf import *  # NOQA
+except ImportError:
+    pass
+
 from project.groups import DRH_NIVEAU_1, DRH_NIVEAU_2
 
 PROJET_TITRE = "Ressources humaines"
@@ -93,6 +98,7 @@ INSTALLED_APPS = (
     'ajax_select',
     'south',
     'raven.contrib.django',
+    'django_extensions',
     'reversion',
     'alphafilter',
     'form_utils',
index 051a070..b12e7c2 100644 (file)
@@ -1,4 +1,5 @@
 --extra-index-url=http://pypi.auf.org/
+--allow-unverified django-admin-tools
 
 django-alphafilter==0.5.3auf4
 auf.django.admingroup==0.4
@@ -21,12 +22,12 @@ South==0.7.6
 
 raven==3.5.0
 
-django-admin-tools==0.4.1
+django-admin-tools==0.5.1
 django-ajax-selects==1.1.4
 django-form-utils==0.2.0
 django-reversion==1.5.5
-django-sendfile==0.2.1
-django-simple-captcha==0.3.0
+django-sendfile==0.3.4
+django-simple-captcha==0.3.8
 django-tinymce==1.5.1b2
 django-urldecorators==0.3
 odsgen==0.1
@@ -36,4 +37,5 @@ ordereddict==1.1
 python-dateutil==2.1
 
 django-extensions
-django-qbe
+django-qbe==0.1.6
+pygraphviz